Support » Plugin: WooCommerce Force Default Variant » WooCommerce 3.0 Compatibility

  • Resolved John Carter

    (@johnc-2)


    Thanks a lot for this plugin, should be optional in core IMHO.

    Will you be updating this for WooCommerce 3.0, I am running the RC2 and there are a few errors showing up in Query Monitor.

    Thanks a bundle.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author HappyKite

    (@happykite)

    Hi John,

    Thank you for your kind words!

    I will definitely be updating all of my plugins soon.
    I’ll reply to this again when version 1.3 is ready for download.

    Thanks again.

    Mike

    Hi

    Just did a quick fix for 3.0. This should be used to get the $children on line 9 of variations.php.

    Replace:

    
    	$children = $product->children['all'];
    

    With this:

    
    	$product_class = new WC_Product_Variable( $product );
    	$children = $product_class->get_children( true );
    
    • This reply was modified 2 years, 7 months ago by John Carter.

    Even with the fix above, the plugin isn’t working with WooCommerce 3.0.6.
    I really need to get rid of the annoying “Choose an option…” from the variable selector, and the “Clear selection” link.

    Works like a charm, exactly what I needed!

    Just a quick note for anyone still getting errors

    Replace:
    $children = $product_class->get_children( true );

    With:
    $children = $product_class->get_visible_children( true );

    • This reply was modified 2 years, 5 months ago by dan11.

    Even with the fixes listed above the plugin is not working on Woocommerce 3.2.5

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WooCommerce 3.0 Compatibility’ is closed to new replies.